package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable;

public class TaskMaterialVO implements Serializable {

    private static final long serialVersionUID = 6871384233719346928L;

    /**
     * 素材类型, 1 : 文本, 2 : 图片, 3 : 网页,4 : 视频, 5 : 文件 6小程序 7卡券小程序
     */
    private Integer materialType;

    /**
     * 图片地址
     */
    private String imgUrl;

    /**
     * 视频地址、h5
     */
    private String link;

    /**
     * 文本内容、链接描述
     */
    private String materialContent;

    /**
     * 标题
     */
    private String materialTitle;

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getMaterialContent() {
        return materialContent;
    }

    public void setMaterialContent(String materialContent) {
        this.materialContent = materialContent;
    }

    public String getMaterialTitle() {
        return materialTitle;
    }

    public void setMaterialTitle(String materialTitle) {
        this.materialTitle = materialTitle;
    }
}










